#include "K36SpellManagerComponent.h"
#include "EK36SpellSlot.h"
#include "Net/UnrealNetwork.h"

void UK36SpellManagerComponent::UpdateSpellVignetteVFXActivationState()
{

}

void UK36SpellManagerComponent::Server_SetSelectedSpellSlot_Unreliable_Implementation(EK36SpellSlot selectedSpellSlot)
{

}

void UK36SpellManagerComponent::Server_SetSelectedSpellSlot_Implementation(EK36SpellSlot selectedSpellSlot)
{

}

void UK36SpellManagerComponent::OnRep_SpellsData()
{

}

void UK36SpellManagerComponent::OnRep_CurrentlySelectedSpellSlot()
{

}

void UK36SpellManagerComponent::OnLevelReadyToPlay()
{

}

void UK36SpellManagerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK36SpellManagerComponent, _currentlySelectedSpellSlot);
	DOREPLIFETIME(UK36SpellManagerComponent, _spellsData);
}

UK36SpellManagerComponent::UK36SpellManagerComponent()
{
	this->_currentlySelectedSpellSlot = EK36SpellSlot::TopSpellSlot;
	this->_spellOffsetFromCenter = 20.000000;
}
